Package org.eclipse.jdt.ui.wizards

## Interface IClasspathContainerPageExtension

    public interface IClasspathContainerPageExtension

Classpath container pages that implement `IClasspathContainerPage` can optionally implement `IClasspathContainerPageExtension` to get additional information about the context when the page is opened. Method `initialize()` is called before `IClasspathContainerPage.setSelection`.

Since:
  2.1

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `initialize​(IJavaProject project, IClasspathEntry[] currentEntries)` Method `initialize()` is called before `IClasspathContainerPage.setSelection` to give additional information about the context the classpath container entry is configured in.

### Method Detail

#### initialize

    void initialize​(IJavaProject project,
                    IClasspathEntry[] currentEntries)

Method `initialize()` is called before `IClasspathContainerPage.setSelection` to give additional information about the context the classpath container entry is configured in. This information only reflects the underlying dialogs current selection state. The user still can make changes after the the classpath container pages has been closed or decide to cancel the operation.

Parameters:
  `project` - The project the new or modified entry is added to. The project does not have to exist. Project can be `null`.
  `currentEntries` - The class path entries currently selected to be set as the projects classpath. This can also include the entry to be edited.